/*
 * Constants for binding NetModule NBHW18 FGPA GPIO
 *
 * Copyright 2018 NetModule AG.
 *
 *  This program is free software; you can redistribute  it and/or modify it
 *  under  the terms of  the GNU General  Public License as published by the
 *  Free Software Foundation;  either version 2 of the  License, or (at your
 *  option) any later version.
 */

#ifndef _DT_BINDINGS_GPIO_NM_NBHW18_FPGA_GPIO_H
#define _DT_BINDINGS_GPIO_NM_NBHW18_FPGA_GPIO_H

/* TODO: delete the following line when we switch to GPIO DT bindings */
#define NM_NBHW18_FPGA_GPIO_BASE 64

#define NM_NBHW18_FPGA_GPIO_LED0_GREEN 0
#define NM_NBHW18_FPGA_GPIO_LED0_RED   1
#define NM_NBHW18_FPGA_GPIO_LED1_GREEN 2
#define NM_NBHW18_FPGA_GPIO_LED1_RED   3
#define NM_NBHW18_FPGA_GPIO_LED2_GREEN 4
#define NM_NBHW18_FPGA_GPIO_LED2_RED   5
#define NM_NBHW18_FPGA_GPIO_LED3_GREEN 6
#define NM_NBHW18_FPGA_GPIO_LED3_RED   7
#define NM_NBHW18_FPGA_GPIO_LED4_GREEN 8
#define NM_NBHW18_FPGA_GPIO_LED4_RED   9
#define NM_NBHW18_FPGA_GPIO_LED5_GREEN 10
#define NM_NBHW18_FPGA_GPIO_LED5_RED   11

#define NM_NBHW18_FPGA_GPIO_PCIE1_RST 16
#define NM_NBHW18_FPGA_GPIO_PCIE2_RST 17
#define NM_NBHW18_FPGA_GPIO_EXT_SLOT_RST       18
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_1_RST 19
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_2_RST 20
#define NM_NBHW18_FPGA_GPIO_SFP_RST            21

#define NM_NBHW18_FPGA_GPIO_PCIE1_PWR 24
#define NM_NBHW18_FPGA_GPIO_PCIE2_PWR 25
#define NM_NBHW18_FPGA_GPIO_EXT_SLOT_PWR       26
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_1_PWR 27
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_2_PWR 28
#define NM_NBHW18_FPGA_GPIO_SFP_PWR            29

#define NM_NBHW18_FPGA_GPIO_PCIE1_WDIS 48
#define NM_NBHW18_FPGA_GPIO_PCIE2_WDIS 49
#define NM_NBHW18_FPGA_GPIO_EXT_SLOT_WDIS       50
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_1_WDIS 51
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_2_WDIS 52

/* TODO: check whether we really use the following GPIO: */
#define NM_NBHW18_FPGA_GPIO_EN_5VO_INT 56
#define NM_NBHW18_FPGA_GPIO_SD_EN      57
#define NM_NBHW18_FPGA_GPIO_GPS_PWR_EN 58

#define NM_NBHW18_FPGA_GPIO_PCIE1_WAKE 65
#define NM_NBHW18_FPGA_GPIO_PCIE2_WAKE 66
#define NM_NBHW18_FPGA_GPIO_EXT_SLOT_WAKE       67
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_1_WAKE 68
#define NM_NBHW18_FPGA_GPIO_LOW_EXT_SLOT_2_WAKE 69

#define NM_NBHW18_FPGA_GPIO__LOS      72
#define NM_NBHW18_FPGA_GPIO_PRSNT     73
#define NM_NBHW18_FPGA_GPIO_TX_FAULT  74
#define NM_NBHW18_FPGA_GPIO_PWR_FAULT 75
#define NM_NBHW18_FPGA_GPIO_SFP_TX_DISABLE    76

#define NM_NBHW18_FPGA_GPIO_RS232_ENABLE      81
#define NM_NBHW18_FPGA_GPIO_RS485_ENABLE      82
#define NM_NBHW18_FPGA_GPIO_RS485_TERM_ENABLE 83

#endif /* _DT_BINDINGS_GPIO_NM_NBHW18_FPGA_GPIO_H */
